## HTTPClient
Class ModuleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              HTTPClient.ModuleException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuthSchemeNotImplException

public class ModuleException
extends Exception

Signals that an exception occured in a module.

Since:
  V0.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ModuleException()` Constructs an ModuleException with no detail message.
`ModuleException(String msg)` Constructs an ModuleException class with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleException

    public ModuleException()

  Constructs an ModuleException with no detail message. A detail message is a String that describes this particular exception.

### ModuleException

    public ModuleException(String msg)

  Constructs an ModuleException class with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the String containing a detail message